# Dotgrid

A [vector editor](https://wiki.xxiivv.com/dotgrid), written in ANSI C.

## Build

You must have [SDL2](https://wiki.libsdl.org/).

```
cc dotgrid.c -std=c89 -Os -DNDEBUG -g0 -s -Wall -L/usr/local/lib -lSDL2 -o dotgrid
```

## I/O

To resume working on a shape:

```
./dotgrid example.txt
```

## Controls

### Generics

- `+` Zoom In
- `-` Zoom Out

### IO

- `E` Export(nasu-export.chr)
- `R` Render(nasu-render.bmp)
- `T` Save(nasu-shape.txt)

### General

- `1` Color1
- `2` Color2
- `3` Color3
- `A` Line
- `S` Arc
- `D` Bezier
- `Z` Point
- `X` Rect
- `C` Ellipse

### Misc

- `H` Toggle Guides
- `N` Erase All
- `Esc` Cancel
- `Backspace` Erase

### Paint

- `mouse1` Add point
- `mouse2` Remove point

## TODOs

- use fscan to parse file
- re-implement transforms starting from the end of the paths.
- fix issue where point ends up unmagnetized