#!/bin/bash

# format code
clang-format -i dotgrid.c

# remove old
rm ./dotgrid

# debug(slow)
cc -std=c89 -DDEBUG -Wall -Wno-unknown-pragmas -Wpedantic -Wshadow -Wextra -Werror=implicit-int -Werror=incompatible-pointer-types -Werror=int-conversion -Wvla -g -Og -fsanitize=address -fsanitize=undefined dotgrid.c -L/usr/local/lib -lSDL2 -lm -o dotgrid

# build(fast)
# cc dotgrid.c -std=c89 -Os -DNDEBUG -g0 -s -Wall -Wno-unknown-pragmas -L/usr/local/lib -lSDL2 -lm -o dotgrid

# Size
echo "Size: $(du -sk ./dotgrid)"

# Install
if [ -d "$HOME/bin" ] && [ -e ./dotgrid ]
then
	cp ./dotgrid $HOME/bin
    echo "Installed: $HOME/bin" 
fi

# run
./dotgrid 
# ./dotgrid example.txt
